DROP PROPERTY GRAPH(7)

NAME
DROP_PROPERTY_GRAPH - remove an SQL-property graph

SYNOPSIS

DROP PROPERTY GRAPH [ IF EXISTS ] name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP PROPERTY GRAPH drops an existing property graph. To execute this command you must be the owner of the property graph.

PARAMETERS

IF EXISTS
    Do not throw an error if the property graph does not exist. A notice is issued in this case.

name
    The name (optionally schema-qualified) of the property graph to remove.

CASCADE
    Automatically drop objects that depend on the property graph, and in turn all objects that depend on those objects (see Section 5.17).

RESTRICT
    Refuse to drop the property graph if any objects depend on it. This is the default.

EXAMPLES

    DROP PROPERTY GRAPH g1;

COMPATIBILITY

DROP PROPERTY GRAPH conforms to ISO/IEC 9075-16 (SQL/PGQ), except that the standard only allows one property graph to be dropped per command, and apart from the IF EXISTS option, which is a PostgreSQL extension.

SEE ALSO
CREATE PROPERTY GRAPH (CREATE_PROPERTY_GRAPH(7)), ALTER PROPERTY GRAPH (ALTER_PROPERTY_GRAPH(7))